Skip to main content
`Ctrl`+`K`

# PetscSectionCreateSupersection

Create a new, larger section composed of multiple `PetscSection`s

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateSupersection(PetscSection s[], PetscInt len, PetscSection *supers)

Collective

## Input Parameters

- s - the input sections

- len - the number of input sections

## Output Parameter

- supers - the supersection

## Notes

The section offsets now refer to a new, larger vector.

## Developer Notes

Needs to explain how the sections are composed

## See Also

PetscSection, `PetscSection`, `PetscSectionCreateSubsection()`, `PetscSectionCreate()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages